Index: UXTerm.ad
===================================================================
--- UXTerm.ad.orig
+++ UXTerm.ad
@@ -6,8 +6,14 @@
 ! to set resources for UTF-8 mode with corresponding fonts.
 ! See the uxterm script for an example.
 
+! You need to have efont-unicode.rpm installed in order to use the
+! efont-fixed fonts!
+
 #include "XTerm-color"
 
+! always use iso10646-1 fonts and luit for non-UTF-8 locales:
+*locale: true
+
 *fontMenu.Label:  Unicode Fonts
 *VT100.utf8:	1
 
@@ -31,12 +37,29 @@
 ! Making the wide fonts associated with *VT100.font in this file allows uxterm
 ! to skip that step.  It will use the fonts that the XTerm file gives for the
 ! *VT100.uft8Fonts.font pattern.
-*VT100.font2:	-misc-fixed-medium-r-normal--8-80-75-75-c-50-iso10646-1
-*VT100.font:	-misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-iso10646-1
-*VT100.font3:	-misc-fixed-medium-r-normal--14-130-75-75-c-70-iso10646-1
-*VT100.font4:	-misc-fixed-medium-r-normal--13-120-75-75-c-80-iso10646-1
-*VT100.font5:	-misc-fixed-medium-r-normal--18-120-100-100-c-90-iso10646-1
-*VT100.font6:	-misc-fixed-medium-r-normal--20-200-75-75-c-100-iso10646-1
+
+*VT100.fontMenu*fontdefault*Label: Default
+*VT100.font:     -misc-fixed-medium-r-normal-*-18-120-100-100-c-90-iso10646-1
+*VT100.wideFont: -misc-fixed-medium-r-normal-*-18-120-100-100-c-180-iso10646-1
+ 
+*fontMenu*font1.Label: efont 10 pixel
+*VT100.font1:     -efont-fixed-medium-r-normal--10-100-75-75-c-50-iso10646-1
+*VT100.wideFont1: -efont-fixed-medium-r-normal--10-100-75-75-c-100-iso10646-1
+*fontMenu*font2.Label: efont 12 pixel
+*VT100.font2:     -efont-fixed-medium-r-normal-*-12-120-75-75-c-60-iso10646-1
+*VT100.wideFont2: -efont-fixed-medium-r-normal-*-12-120-75-75-c-120-iso10646-1
+*fontMenu*font3.Label: efont 14 pixel
+*VT100.font3:     -efont-fixed-medium-r-normal-*-14-140-75-75-c-70-iso10646-1
+*VT100.wideFont3: -efont-fixed-medium-r-normal-*-14-140-75-75-c-140-iso10646-1
+*fontMenu*font4.Label: efont 16 pixel
+*VT100.font4:     -efont-fixed-medium-r-normal-*-16-160-75-75-c-80-iso10646-1
+*VT100.wideFont4: -efont-fixed-medium-r-normal-*-16-160-75-75-c-160-iso10646-1
+*fontMenu*font5.Label: misc  18 pixel
+*VT100.font5:     -misc-fixed-medium-r-normal-*-18-120-100-100-c-90-iso10646-1
+*VT100.wideFont5: -misc-fixed-medium-r-normal-*-18-120-100-100-c-180-iso10646-1
+*fontMenu*font6.Label: efont 24 pixel
+*VT100.font6:     -efont-fixed-medium-r-normal-*-24-240-75-75-c-120-iso10646-1
+*VT100.wideFont6: -efont-fixed-medium-r-normal-*-24-240-75-75-c-240-iso10646-1
 
 ! Here is an alternate set of fonts with better support for bold:
 !*VT100.font2:	-efont-biwidth-medium-r-normal--10-100-75-75-p-50-iso10646-1
Index: XTerm-col.ad
===================================================================
--- XTerm-col.ad.orig
+++ XTerm-col.ad
@@ -46,15 +46,15 @@
 *VT100*color1: red3
 *VT100*color2: green3
 *VT100*color3: yellow3
-*VT100*color4: blue2
+*VT100*color4: blue3
 *VT100*color5: magenta3
 *VT100*color6: cyan3
 *VT100*color7: gray90
-*VT100*color8: gray50
+*VT100*color8: gray30
 *VT100*color9: red
 *VT100*color10: green
 *VT100*color11: yellow
-*VT100*color12: rgb:5c/5c/ff
+*VT100*color12: blue
 *VT100*color13: magenta
 *VT100*color14: cyan
 *VT100*color15: white
Index: XTerm.ad
===================================================================
--- XTerm.ad.orig
+++ XTerm.ad
@@ -67,21 +67,41 @@
 *vtMenu*vthide*Label:  Hide VT Window
 *vtMenu*altscreen*Label:  Show Alternate Screen
 
+! always use iso10646-1 fonts and luit for non-UTF-8 locales:
+*locale: checkfont
+*localeFilter: /usr/bin/luitx
+
 *fontMenu.Label:  VT Fonts
 *fontMenu*fontdefault*Label:	Default
-*fontMenu*font1*Label:	Unreadable
-*VT100.font1:		nil2
+*VT100.font:		-misc-fixed-medium-r-semicondensed-*-13-120-75-75-c-60-iso10646-1
+*VT100.wideFont:	-misc-fixed-medium-r-normal-*-13-120-75-75-c-120-iso10646-1
+
+*fontMenu*font1*Label:	Unicode Best
+*VT100.font1:		-misc-fixed-medium-r-normal-*-18-120-100-100-c-90-iso10646-1
+*VT100.wideFont1:	-misc-fixed-medium-r-normal-*-18-120-100-100-c-180-iso10646-1
+!*VT100.font1:		nil2
+!*VT100.wideFont1:
 *IconFont:		nil2
 *fontMenu*font2*Label:	Tiny
-*VT100.font2:		5x7
+!*VT100.font2:		5x7
+*VT100.font2:		-misc-fixed-medium-r-normal--7-70-75-75-c-50-iso10646-1
+!*VT100.widefont2:
 *fontMenu*font3*Label:	Small
-*VT100.font3:		6x10
+!*VT100.font3:		6x10
+*VT100.font3:		-misc-fixed-medium-r-normal--10-100-75-75-c-60-iso10646-1
+!*VT100.wideFont3:
 *fontMenu*font4*Label:	Medium
-*VT100.font4:		7x13
+!*VT100.font4:		7x13
+*VT100.font4:		-misc-fixed-medium-r-semicondensed-*-13-120-75-75-c-60-iso10646-1
+*VT100.wideFont4:	-misc-fixed-medium-r-normal-*-13-120-75-75-c-120-iso10646-1
 *fontMenu*font5*Label:	Large
-*VT100.font5:		9x15
+!*VT100.font5:		9x15
+*VT100.font5:		-misc-fixed-medium-r-normal--15-140-75-75-c-90-iso10646-1
+!*VT100.wideFont5:
 *fontMenu*font6*Label:	Huge
-*VT100.font6:		10x20
+!*VT100.font6:		10x20
+*VT100.font6:		-misc-fixed-medium-r-normal-*-20-200-75-75-c-100-iso10646-1
+*VT100.wideFont6:      -misc-fixed-medium-r-normal-*-20-200-75-75-c-200-iso10646-1
 *fontMenu*fontescape*Label:	Escape Sequence
 *fontMenu*fontsel*Label:	Selection
 !fontescape and fontsel overridden by application
@@ -92,12 +112,13 @@
 *fontMenu*utf8-mode*Label:	UTF-8
 *fontMenu*utf8-title*Label:	UTF-8 Titles
 
-*VT100.utf8Fonts.font2:	-misc-fixed-medium-r-normal--8-80-75-75-c-50-iso10646-1
-*VT100.utf8Fonts.font:	-misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-iso10646-1
-*VT100.utf8Fonts.font3:	-misc-fixed-medium-r-normal--14-130-75-75-c-70-iso10646-1
-*VT100.utf8Fonts.font4:	-misc-fixed-medium-r-normal--13-120-75-75-c-80-iso10646-1
-*VT100.utf8Fonts.font5:	-misc-fixed-medium-r-normal--18-120-100-100-c-90-iso10646-1
-*VT100.utf8Fonts.font6:	-misc-fixed-medium-r-normal--20-200-75-75-c-100-iso10646-1
+! upstream configuration, which simply has broken our xterm font configuration completely
+!*VT100.utf8Fonts.font2:	-misc-fixed-medium-r-normal--8-80-75-75-c-50-iso10646-1
+!*VT100.utf8Fonts.font:	-misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-iso10646-1
+!*VT100.utf8Fonts.font3:	-misc-fixed-medium-r-normal--14-130-75-75-c-70-iso10646-1
+!*VT100.utf8Fonts.font4:	-misc-fixed-medium-r-normal--13-120-75-75-c-80-iso10646-1
+!*VT100.utf8Fonts.font5:	-misc-fixed-medium-r-normal--18-120-100-100-c-90-iso10646-1
+!*VT100.utf8Fonts.font6:	-misc-fixed-medium-r-normal--20-200-75-75-c-100-iso10646-1
 
 *tekMenu.Label:  Tek Options
 *tekMenu*tektextlarge*Label:  Large Characters
@@ -187,3 +208,58 @@
 !
 ! Alternatively,
 !*on2Clicks: regex [[:alpha:]]+://([[:alnum:]!#+,./=?@_~-]|(%[[:xdigit:]][[:xdigit:]]))+
+
+!! We want a 8bit clean xterm
+*eightBitInput:        true
+*eightBitOutput:       true
+
+!! Default Settings
+*termName:             xterm
+*pointerShape:         top_left_arrow
+*scrollKey:            true
+
+!! Newer XTerms can guess the value of the BackarrowKey by
+!! reading the terminfo or the pty initial value.
+!! We use the terminfo value.
+*backarrowKeyIsErase:  true
+*ptyInitialErase:      true
+*deleteIsDEL:          false
+
+!! To be compatible with the original X Consortium XTerm.
+!! *oldXtermFKeys:             true
+ 
+!! Some symbol mappings of the keyboard for foreign Motif.  Some of these
+!! mappings are virtual osfKeySym's.  Extend this list if necessary,
+!! more information in VirtualBindings(3) and /usr/include/Xm/XmStrDefs.h.
+*defaultVirtualBindings: #override \
+   Help    : osfHelp\n\
+   DRemove : osfCut\n\
+   Prior   : osfPageUp\n\
+   Next    : osfPageDown\n\
+   Select  : osfSelect\n\
+   Insert  : osfPaste\
+
+!! If Alt is not Meta use it for emacs line editing of e.g. bash,
+!! define Pause key, and ignore DRemove on foreign displays.
+*altIsNotMeta:     true
+*altSendsEscape:   true
+*metaSendsEscape:  true
+*VT100.Translations: #override \
+   <Key>Pause:   string("\033[P") \n\
+   <Key>DRemove: ignore()
+
+*background:       LightYellow2
+*foreground:       #000000
+*multiScroll:      on
+*jumpScroll:       on
+*ScrollBar:        on
+*Scrollbar*width:      16
+*Scrollbar*height:     16
+*Scrollbar*shadowWidth:    2
+*Scrollbar*borderWidth:    3
+*SaveLines:        2000
+
+!! Fix broken charClass, the doubleclick separators
+*charClass:  33:48,37:48,43:48,45-47:48,64:48,126:48,95:48
+!! Bug #52655
+*utf8Title: true
Index: xterm.man
===================================================================
--- xterm.man.orig
+++ xterm.man
@@ -1169,7 +1169,8 @@ Application specific resources (e.g., "\
 Tie the VTxxx \fBbackarrowKey\fP and \fBptyInitialErase\fP resources
 together by setting the DECBKM state according to whether the initial value of
 stty erase is a backspace (8) or delete (127) character.
-The default is ``false'', which disables this feature.
+\" The default is ``false'', which disables this feature.
+The default is ``true'', which enables this feature.
 .TP 8
 .B "hold (\fPclass\fB Hold)"
 If true,
@@ -2587,8 +2588,8 @@ always.
 .RE
 .TP 8
 .B "pointerShape (\fPclass\fB Cursor)"
-Specifies the name of the shape of the pointer.
-The default is ``xterm.''
+\" Specifies the name of the shape of the pointer.  The default is ``xterm.''
+Specifies the name of the shape of the pointer.  The default is ``top_left_arrow.''
 .TP 8
 .B "popOnBell (\fPclass\fB PopOnBell)"
 Specifies whether the window would be raised when Control-G is received.
@@ -2690,7 +2691,8 @@ The default is 64.
 .B "scrollBar (\fPclass\fB ScrollBar)"
 Specifies whether or not the scrollbar should be displayed.
 The default is
-``false.''
+\" ``false.''
+``true.''
 .TP 8
 .B "scrollBarBorder (\fPclass\fB ScrollBarBorder)"
 Specifies the width of the scrollbar border.
